Bug 619091 - cgconfig service is always reported as "running"
Summary: cgconfig service is always reported as "running"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcgroup (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-28 14:37 UTC by Denys Vlasenko
Modified: 2010-08-13 21:15 UTC (History)
2 users (show)

Fixed In Version: libcgroup-0.34-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 14:26:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Denys Vlasenko 2010-07-28 14:37:56 UTC
# service cgconfig stop
Stopping cgconfig service:                                 [  OK  ]
# service cgconfig status; echo $?
Stopped
0   <=========== WRONG


Compare this with other services, say, ip6tables:

# service ip6tables stop
ip6tables: Flushing firewall rules:                        [  OK  ]
ip6tables: Setting chains to policy ACCEPT: filter         [  OK  ]
ip6tables: Unloading modules:                              [  OK  ]
# service ip6tables status; echo $?
ip6tables: Firewall is not running.
3


Among other things, this makes the service "unstoppable" in GUI service
config (System->Administration->Services): you can press on "stop" button
however many times you like, the service is still "running". One side effect of
bogus "running" status is that it can not be *started* using GUI: GUI thinks it
already is, and "start" button is greyed out!

Comment 1 Jan Safranek 2010-08-02 14:31:59 UTC
It has been fixed by upstream in git commit 023fee998f07499938830a044845eb03b816eea7

Comment 2 Fedora Update System 2010-08-02 14:56:59 UTC
libcgroup-0.35.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libcgroup-0.35.1-3.fc13

Comment 3 Fedora Update System 2010-08-02 14:57:04 UTC
libcgroup-0.34-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libcgroup-0.34-3.fc12

Comment 4 Fedora Update System 2010-08-02 14:57:08 UTC
libcgroup-0.36.2-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/libcgroup-0.36.2-2.fc14

Comment 5 Fedora Update System 2010-08-03 00:36:53 UTC
libcgroup-0.34-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libcgroup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libcgroup-0.34-3.fc12

Comment 6 Fedora Update System 2010-08-03 00:54:24 UTC
libcgroup-0.35.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libcgroup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libcgroup-0.35.1-3.fc13

Comment 7 Fedora Update System 2010-08-03 02:19:29 UTC
libcgroup-0.36.2-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libcgroup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libcgroup-0.36.2-2.fc14

Comment 8 Fedora Update System 2010-08-05 14:26:50 UTC
libcgroup-0.36.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-08-05 23:53:43 UTC
libcgroup-0.35.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-08-13 21:14:56 UTC
libcgroup-0.34-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.